import React from 'react';
import { mount } from 'enzyme';

import LabeledCheckbox from '.';

describe('LabeledCheckbox', () => {
  it('displays a labeled checkbox', () => {
    const node = mount(<LabeledCheckbox id="test" name="test-input" />);
    expect(node.find('label').first().hasClass('LabeledCheckbox')).toBe(true);
  });

  it('displays a labeled checkbox with type "text"', () => {
    const node = mount(<LabeledCheckbox id="test" name="test-input" type="text" />);
    expect(node.find('label').first().hasClass('LabeledCheckbox')).toBe(true);
  });
});
